## hexter 1.0.0

=== fptest/Makefile ===
CC=gcc
CFLAGS=-Wall -O2 -g -fomit-frame-pointer -funroll-loops -finline-functions -ffast-math -Winline \
    -finline-limit=5000 --param large-function-growth=4900 --param inline-unit-growth=900 \
    -I../src

OS=$(shell uname)
ifeq ($(OS),Darwin)
  DSSI_CFLAGS=`pkg-config dssi libdssialsacompat --cflags`
  LDFLAGS=-lm `pkg-config dssi libdssialsacompat --libs`
else
  DSSI_CFLAGS=`pkg-config dssi alsa --cflags`
  LDFLAGS=-lm -lpthread `pkg-config dssi alsa --libs`
endif

DEPS = wrapper.h ../src/dx7_voice.h ../src/dx7_voice_data.h ../src/hexter.h \
    ../src/hexter_synth.h ../src/hexter_types.h

OBJ = dx7_voice_fix.o dx7_voice_data_fix.o \
    dx7_voice_render_fix.o dx7_voice_tables_fix.o \
    hexter_fix.o hexter_synth_fix.o \
    dx7_voice_float.o dx7_voice_data_float.o \
    dx7_voice_render_float.o dx7_voice_tables_float.o \
    hexter_float.o hexter_synth_float.o \
    dx7_voice_patches.o \
    harness.o

%_fix.o: ../src/%.c $(DEPS)
	$(CC) $(CFLAGS) $(DSSI_CFLAGS) -c -o $@ $< -include wrapper.h

%_float.o: ../src/%.c $(DEPS)
	$(CC) $(CFLAGS) $(DSSI_CFLAGS) -DHEXTER_USE_FLOATING_POINT -c -o $@ $< -include wrapper.h

%.o: ../src/%.c $(DEPS)
	$(CC) $(CFLAGS) $(DSSI_CFLAGS) -c -o $@ $<

fptest: $(OBJ)
	$(CC) -o $@ $^ $(LDFLAGS)

harness.o: harness.c $(DEPS)
	$(CC) $(CFLAGS) $(DSSI_CFLAGS) -c -o $@ $<

.PHONY: clean

clean:
	rm fptest *.o

## hexter 0.6.2

=== debian/changelog ===
hexter (0.6.2-3) unstable; urgency=low

  * Demote dssi-host-jack to Suggests (Closes: #612491).

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 11:57:59 +0100

hexter (0.6.2-2) unstable; urgency=low

  * Update debian/gbp.conf.
  * Avoid unconditionalized use of PATH_MAX to fix FTBFS on hurd.

 -- Alessio Treglia <alessio@debian.org>  Tue, 05 Oct 2010 21:27:23 +0200

hexter (0.6.2-1) unstable; urgency=low

  * Fix debian/watch file (Closes: #450339).
  * Update Maintainer's name and email address, set Vcs fields properly.
  * Append myself to the Uploaders list.
  * Update Standards to 3.9.1.
  * Switch to format 3.0 (quilt).
  * Imported Upstream version 0.6.2.
  * Switch to debhelper 7.
  * Update copyright information.
  * Patch desktop file according to Freedesktop.org's spec.
  * Add Homepage field.
  * liblo transition: liblo0-dev -> liblo-dev
  * Append -Wl,--as-needed to linking options.
  * Remove .la files.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Aug 2010 12:47:31 +0200

hexter (0.6.1-2) unstable; urgency=low

  * Actually added .desktop file (it was missing from debian/install)

 -- Free Ekanayaka <freee@debian.org>  Mon, 23 Jul 2007 20:06:56 +0200

hexter (0.6.1-1) unstable; urgency=low

  * New upstream release
  * Depend on dssi-host-jack
  * Added .desktop file and icon

 -- Free Ekanayaka <freee@debian.org>  Mon, 14 May 2007 10:43:33 +0200

hexter (0.5.9-1) unstable; urgency=low

  * New upstream
  * Changed package name to match upstream tarball name
  * First upload to debian (Closes: #321469)
  * Added watch file

 -- Free Ekanayaka <freee@debian.org>  Mon, 19 Feb 2007 12:27:56 +0100

dssi0.9-plugin-hexter (0.5.8-1) etch; urgency=low

  * Initial Release.
  * Extra include in src/dx7_voice_data.h to avoid compile error.

 -- Willem van Engen <debrepo@willem.engen.nl>  Thu,  4 Aug 2005 23:30:59 +0000

=== debian/control ===
Source: hexter
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Willem van Engen <debrepo@willem.engen.nl>,
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libgtk2.0-dev,
 liblo-dev,
 ladspa-sdk,
 libasound2-dev,
 dssi-dev,
 autotools-dev (>= 20100122.1~),
 chrpath
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/pkg-multimedia/hexter.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/hexter.git
Homepage: http://dssi.sourceforge.net/

Package: hexter
Architecture: any
Provides: dssi-plugin
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: dssi-host-jack
Description: Yamaha DX7 modeling DSSI plugin
 hexter is a software synthesizer that models the sound generation of a Yamaha
 DX7 synthesizer. It can easily load most DX7 patch bank files, accept patch
 editing commands via MIDI sys-ex messages, and recreate the sound of the DX7
 with great accuracy.

## hexter 1.0.0

=== debian/changelog ===
hexter (1.0.0-1) experimental; urgency=low

  * New upstream release.
  * Update Vcs-* fields.
  * Remove TODO from hexter's docs.
  * Update debian/copyright.
  * Fix desktop file, GNOME category needs the GTK category as well.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 02 Nov 2012 14:39:17 +0000

=== debian/control ===
Source: hexter
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Willem van Engen <debrepo@willem.engen.nl>,
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 autotools-dev (>= 20100122.1~),
 chrpath,
 debhelper (>= 7.0.50~),
 dssi-dev,
 ladspa-sdk,
 libasound2-dev,
 libgtk2.0-dev,
 liblo-dev
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/hexter.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/hexter.git
Homepage: http://dssi.sourceforge.net/

Package: hexter
Architecture: any
Provides:
 dssi-plugin
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 dssi-host-jack
Description: Yamaha DX7 modeling DSSI plugin
 hexter is a software synthesizer that models the sound generation of a Yamaha
 DX7 synthesizer. It can easily load most DX7 patch bank files, accept patch
 editing commands via MIDI sys-ex messages, and recreate the sound of the DX7
 with great accuracy.

## hexter 1.0.2

=== debian/changelog ===
hexter (1.0.2-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:28:02 +0000

hexter (1.0.2-3) unstable; urgency=low

  * Team upload.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Oct 2013 12:30:14 +0100

hexter (1.0.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Mon, 27 May 2013 05:13:13 +0200

hexter (1.0.2-1) experimental; urgency=low

  * New upstream release:
    - Fixed: starting the GUI on a session with unsaved edits would
      leave the patch editor insensitive.
  * Bump Standards.
  * Small fix to debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Thu, 15 Nov 2012 16:14:10 +0000

hexter (1.0.1-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Nov 2012 10:08:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: hexter
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Willem van Engen <debrepo@willem.engen.nl>,
- Free Ekanayaka <freee@debian.org>,
- Alessio Treglia <alessio@debian.org>
+ Free Ekanayaka <freee@debian.org>
 Build-Depends:
  autotools-dev (>= 20100122.1~),
  chrpath,
@@ -15,7 +15,7 @@
  libasound2-dev,
  libgtk2.0-dev,
  liblo-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/hexter.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/hexter.git
 Homepage: http://dssi.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --with autotools_dev

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/hexter/usr/lib/dssi/hexter.la

=== debian/watch ===
version=3
http://sf.net/dssi/hexter-(.*)\.tar\.gz

## hexter 1.1.0

=== fptest/Makefile ===
--- 
+++ 
@@ -1,7 +1,5 @@
 CC=gcc
-CFLAGS=-Wall -O2 -g -fomit-frame-pointer -funroll-loops -finline-functions -ffast-math -Winline \
-    -finline-limit=5000 --param large-function-growth=4900 --param inline-unit-growth=900 \
-    -I../src
+CFLAGS=-Wall -O2 -g -fomit-frame-pointer -funroll-loops -finline-functions -ffast-math -I../src
 
 OS=$(shell uname)
 ifeq ($(OS),Darwin)

=== debian/changelog ===
hexter (1.1.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Ross Gammon ]
  * Fix desktop file by executing via a shell (LP: #1866917)

 -- Ross Gammon <rossgammon@debian.org>  Sat, 14 Mar 2020 15:38:52 +0100

hexter (1.1.0-3) unstable; urgency=medium

  [ Ross Gammon ]
  * Move package to unstable

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

 -- Ross Gammon <rossgammon@debian.org>  Sun, 25 Aug 2019 14:21:50 +0200

hexter (1.1.0-2) experimental; urgency=medium

  * Simplify autoreconf arrangement, thanks again Fabian Greffrath
  * Install the desktop icon in the correct location
  * Fix desktop file exec path, plugin now on multi-arch path

 -- Ross Gammon <rossgammon@debian.org>  Fri, 26 Apr 2019 18:10:16 +0200

hexter (1.1.0-1) experimental; urgency=medium

  [ Olivier Humbert ]
  * d/hexter.desktop: add a French translation for the menu item.
    (Closes: #833520).
  * d/copyright: add myself in the debian section.

  [ Felipe Sateler ]
  * d/control: change maintainer address to debian-multimedia@lists.debian.org .

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org .
  * d/copyright: Use https protocol in Format field.

  [ Ross Gammon ]
  * New upstream release (Closes: #833545)
  * Update upstream URLs and fix watch file
  * Use secure URL for GNU License
  * Refresh patches
  * Update copyright years and add me
  * Depend on dssi-host-jack (LP: #752950)
  * Install menu icon (LP: #1820422)
  * Update README filename
  * Use non-deprecated debhelper version
  * Add a gitlab.ci.yml file for Salsa CI
  * Remove aclocal.m4 before running "autoreconf -fiv" to stop FTBFS
  * Correct .la removal path to multiarch path
  * Bump standards version, changes listed separately
  * Remove trailing whitespace in d/changelog
  * Add an upstream/metadata file
  * Enable all hardening options
  * Add keywords to desktop file
  * Add lintian override for missing command in desktop file
  * Add myself to uploaders

 -- Ross Gammon <rossgammon@debian.org>  Tue, 26 Mar 2019 20:30:47 +0100

=== debian/control ===
Source: hexter
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Willem van Engen <debrepo@willem.engen.nl>,
 Free Ekanayaka <freee@debian.org>,
 Ross Gammon <rossgammon@debian.org>
Build-Depends:
 chrpath,
 debhelper-compat (= 11),
 dssi-dev,
 ladspa-sdk,
 libasound2-dev,
 libgtk2.0-dev,
 liblo-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/multimedia-team/hexter.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/hexter
Homepage: http://smbolton.com/hexter.html

Package: hexter
Architecture: any
Provides:
 dssi-plugin
Depends:
 dssi-host-jack,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Yamaha DX7 modeling DSSI plugin
 hexter is a software synthesizer that models the sound generation of a Yamaha
 DX7 synthesizer. It can easily load most DX7 patch bank files, accept patch
 editing commands via MIDI sys-ex messages, and recreate the sound of the DX7
 with great accuracy.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	# Remove aclocal.m4 to prevent FTBFS
	rm -f $(CURDIR)/aclocal.m4
	dh_autoreconf

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/hexter/usr/lib/*/dssi/hexter.la

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/version_?(\d\S+)\.tar\.gz/hexter-$1\.tar\.gz/ \
  https://github.com/smbolton/hexter/tags .*/version_?(\d\S+)\.tar\.gz

## hexter 1.1.1

=== debian/changelog ===
hexter (1.1.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:56:41 +0000

hexter (1.1.1-2build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:55:32 +0100

hexter (1.1.1-2) unstable; urgency=medium

  * Team upload
  * Build text instead of graphical user interface (Closes: #967524)

 -- Bastian Germann <bage@debian.org>  Sat, 14 Oct 2023 16:37:21 +0200

hexter (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * Remove segfault patch, applied by upstream
  * Bump S-V to 4.5.1, no changes needed
  * Update d/copyright year

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 12 Jan 2021 21:39:36 +0100

hexter (1.1.0-7) unstable; urgency=medium

  * Fix segfault on startup (Closes: #960407)

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 03 Jul 2020 22:58:28 +0200

hexter (1.1.0-6) unstable; urgency=medium

  [Olivier Humbert]
  * d/hexter.desktop: make the launcher works
  * d/copyright: update the copyright year for me

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Wed, 20 May 2020 20:24:12 +0200

hexter (1.1.0-5) unstable; urgency=medium

  * Fix dssi plugin installation
  * Include architecture.mk in d/rules
  * d/control:
    + Bump d-h to 13
    + Bump S-V to 4.5.0
    + Set RRR: no
    + Add me as uploader
  * Remove obsolete LDFLAGS export
  * Remove obsolete lintian overrides
  * Remove obsolete d/source/local-options
  * d/upstream/metadata: Add Archive and Bug-Submit fields
    and remove obsolete Name

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 30 Apr 2020 20:14:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: hexter
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Willem van Engen <debrepo@willem.engen.nl>,
  Free Ekanayaka <freee@debian.org>,
- Ross Gammon <rossgammon@debian.org>
+ Ross Gammon <rossgammon@debian.org>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  chrpath,
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dssi-dev,
  ladspa-sdk,
  libasound2-dev,
- libgtk2.0-dev,
+ pkg-config,
+ libreadline-dev,
  liblo-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/hexter.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/hexter
 Homepage: http://smbolton.com/hexter.html
+Rules-Requires-Root: no
 
 Package: hexter
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	# Remove aclocal.m4 to prevent FTBFS
	rm -f $(CURDIR)/aclocal.m4
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --without-gtk2 --with-textui

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/hexter/usr/lib/$(DEB_HOST_MULTIARCH)/dssi/hexter.la
	mv $(CURDIR)/debian/hexter/usr/lib/$(DEB_HOST_MULTIARCH)/dssi/ $(CURDIR)/debian/hexter/usr/lib/dssi/
	rm -fr $(CURDIR)/debian/hexter/usr/lib/$(DEB_HOST_MULTIARCH)/
